Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# derived_pixel_reference_type Class Template Reference
[derived_xxx_type]

`#include <metafunctions.hpp>`

List of all members.

## Detailed Description

### template<typename Ref, typename T = use_default, typename L = use_default, typename IsPlanar = use_default, typename IsMutable = use_default>
class boost::gil::derived_pixel_reference_type< Ref, T, L, IsPlanar, IsMutable >

Constructs a pixel reference type from a source pixel reference type by changing some of the properties.

Use use_default for the properties of the source view that you want to keep.

## Public Types

typedef pixel_reference_type < channel_t, layout_t, planar, mut >::type | type

The documentation for this class was generated from the following file:

- metafunctions.hpp